## ecbuild 3.0.3

=== tests/CMakeLists.txt ===
add_subdirectory( bundle_subdir )
add_subdirectory( find_ecbuild )

=== debian/changelog ===
ecbuild (3.0.3-2) unstable; urgency=medium

  * Set ecbuild as Multi-Arch: foreign
  * Rebuild with source-only upload

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 19 Aug 2019 20:08:10 +0100

ecbuild (3.0.3-1) unstable; urgency=medium

  * Initial release. (Closes: #933965)

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 05 Aug 2019 18:04:05 +0100

=== debian/control ===
Source: ecbuild
Section: science
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat (= 12), 
  dh-buildinfo, 
  dh-fortran-mod (>= 0.11),
  gfortran | fortran-compiler, 
  cmake
Standards-Version: 4.4.0
Homepage: https://confluence.ecmwf.int/spaces/viewspace.action?key=ecbuild
Vcs-Browser: https://salsa.debian.org:/science-team/ecbuild.git
Vcs-Git: https://salsa.debian.org:/science-team/ecbuild.git

Package: ecbuild
Section: libs
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, cmake
Description: Build system for ECMWF software
 This is a toolkit from ECMWF to make ecKit interoperable with Fortran.
 .
 ECMWF is the European Centre for Medium-Range Weather Forecasts.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

%:
	dh $@ --buildsystem=cmake --with=fortran_mod

override_dh_fixperms:
	dh_fixperms
	chmod +x debian/ecbuild/usr/share/ecbuild/cmake/sg.pl
	chmod -x debian/ecbuild/usr/share/ecbuild/toolchains/preprocess_cray_fortran

## ecbuild 3.1.0

=== CMakeLists.txt ===
# (C) Copyright 2011- ECMWF.
#
# This software is licensed under the terms of the Apache Licence Version 2.0
# which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
# In applying this licence, ECMWF does not waive the privileges and immunities
# granted to it by virtue of its status as an intergovernmental organisation
# nor does it submit to any jurisdiction.

############################################################################################
# cmake options:
#
#       -DCMAKE_INSTALL_PREFIX=/path/to/install

cmake_minimum_required( VERSION 3.6.0 FATAL_ERROR )

set( CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH} )


include( ecbuild )
project( ecbuild LANGUAGES NONE )

###############################################################################
# local project

configure_file( cmake/ecbuild_version.h.in ${CMAKE_BINARY_DIR}/ecbuild_version.h  )

# contents

ecbuild_add_resources(  TARGET ${PROJECT_NAME}_description_files
                        SOURCES_PACK
                            README.rst
                            INSTALL.rst
                            AUTHORS
                            NOTICE
                            LICENSE
                            COPYING
)

add_subdirectory( bin )
add_subdirectory( share )
add_subdirectory( cmake )
add_subdirectory( doc )

add_subdirectory( regressions )
add_subdirectory( tests )

install( DIRECTORY cmake DESTINATION ${INSTALL_DATA_DIR} PATTERN "CMakeLists.txt" EXCLUDE )

############################################################################################
# finalize

ecbuild_install_project( NAME ${PROJECT_NAME} )

ecbuild_print_summary()

=== regressions/CMakeLists.txt ===
add_subdirectory( ECBUILD_359 )
add_subdirectory( ECBUILD_399 )
add_subdirectory( ECBUILD_401 )
add_subdirectory( ECBUILD_407 )
add_subdirectory( ECBUILD_415 )
add_subdirectory( ECBUILD_433 )

=== tests/CMakeLists.txt ===
add_subdirectory( bundle_subdir )
add_subdirectory( ecbuild_regex_escape )
add_subdirectory( find_ecbuild )

=== examples/boost-python-lib/CMakeLists.txt ===
# (C) Copyright 2011- ECMWF.
#
# This software is licensed under the terms of the Apache Licence Version 2.0
# which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
# In applying this licence, ECMWF does not waive the privileges and immunities
# granted to it by virtue of its status as an intergovernmental organisation
# nor does it submit to any jurisdiction.

cmake_minimum_required( VERSION 3.6 FATAL_ERROR )

find_package(ecbuild REQUIRED)
project( mypython VERSION 0.10.0 LANGUAGES CXX )

###############################################################################
# find extra packages

# Python
# Can specify non-default distribution with CMake variable PYTHON_EXECUTABLE
ecbuild_find_python()
ecbuild_info("PYTHON_EXECUTABLE    : ${PYTHON_EXECUTABLE}")
ecbuild_info("PYTHON_INCLUDE_DIRS  : ${PYTHON_INCLUDE_DIRS}")
ecbuild_info("PYTHON_LIBRARIES     : ${PYTHON_LIBRARIES}")

# Boost
# Can specify non-default distribution with CMake variable BOOST_ROOT
set( Boost_MINIMUM_VERSION "1.47" )
find_package( Boost ${Boost_MINIMUM_VERSION} REQUIRED
              COMPONENTS python )
ecbuild_info("Boost_LIBRARIES     : ${Boost_LIBRARIES}" )

###############################################################################
# Contents

ecbuild_add_library( TARGET       mypython
                     INCLUDES     ${Boost_INCLUDE_DIR} ${PYTHON_INCLUDE_DIRS}
                     PRIVATE_LIBS ${Boost_LIBRARIES} ${PYTHON_LIBRARIES}
                     SOURCES      pythonlib.hpp pythonlib.cpp )
configure_file( mypython.py       ${CMAKE_BINARY_DIR}/lib COPYONLY )

############################################################################################
# Installation

ecbuild_install_project( NAME python_project )

###############################################################################
# Summary

ecbuild_print_summary()



ecbuild_info( "" )
ecbuild_info( "To test the library:" )
ecbuild_info( "--------------------" )
ecbuild_info( "make" )
ecbuild_info( "cd ${CMAKE_CURRENT_BINARY_DIR}/lib" )
ecbuild_info( "python" )
ecbuild_info( ">>> import libmypython" )
ecbuild_info( ">>> help(libmypython)" )
ecbuild_info( "" )
ecbuild_info( "---------------------------------------------------------" )

=== examples/config-bundle/CMakeLists.txt ===
# (C) Copyright 2011- ECMWF.
#
# This software is licensed under the terms of the Apache Licence Version 2.0
# which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
# In applying this licence, ECMWF does not waive the privileges and immunities
# granted to it by virtue of its status as an intergovernmental organisation
# nor does it submit to any jurisdiction.

cmake_minimum_required( VERSION 3.6 FATAL_ERROR )

find_package(ecbuild REQUIRED)
project( config_bundle VERSION 0.1 LANGUAGES C )

ecbuild_bundle_initialize()

# Use command "make update" to update branches to latest develop version
ecbuild_bundle( PROJECT subproj1 )
ecbuild_bundle( PROJECT subproj2 )

# Finalize
ecbuild_bundle_finalize()

=== examples/cpp-bundle-nested/CMakeLists.txt ===
# (C) Copyright 2011- ECMWF.
#
# This software is licensed under the terms of the Apache Licence Version 2.0
# which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
# In applying this licence, ECMWF does not waive the privileges and immunities
# granted to it by virtue of its status as an intergovernmental organisation
# nor does it submit to any jurisdiction.

cmake_minimum_required( VERSION 3.6 FATAL_ERROR )

find_package( ecbuild REQUIRED )
project( cpp_bundle_nested VERSION 0.10.0 LANGUAGES C CXX )

ecbuild_bundle_initialize()

ecbuild_bundle( PROJECT bar )
ecbuild_bundle( PROJECT baz )

ecbuild_bundle_finalize()

=== examples/cpp-bundle/CMakeLists.txt ===
# (C) Copyright 2011- ECMWF.
#
# This software is licensed under the terms of the Apache Licence Version 2.0
# which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
# In applying this licence, ECMWF does not waive the privileges and immunities
# granted to it by virtue of its status as an intergovernmental organisation
# nor does it submit to any jurisdiction.

cmake_minimum_required( VERSION 3.6 FATAL_ERROR )

find_package(ecbuild REQUIRED)
project( cpp_bundle VERSION 0.10.0 LANGUAGES C CXX )

ecbuild_bundle_initialize()

ecbuild_bundle( PROJECT foo )
ecbuild_bundle( PROJECT bar )

ecbuild_bundle_finalize()

=== examples/cxx11/CMakeLists.txt ===
# (C) Copyright 2011- ECMWF.
#
# This software is licensed under the terms of the Apache Licence Version 2.0
# which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
# In applying this licence, ECMWF does not waive the privileges and immunities
# granted to it by virtue of its status as an intergovernmental organisation
# nor does it submit to any jurisdiction.

cmake_minimum_required( VERSION 3.6 FATAL_ERROR )

find_package(ecbuild REQUIRED)
project( cxx11 VERSION 0.0.1 LANGUAGES CXX )

### definitions

set(CMAKE_CXX_STANDARD 11)

### targets

ecbuild_add_executable( TARGET compute
                        SOURCES compute.cc )

### finalize project

ecbuild_install_project( NAME ${PROJECT_NAME} )

ecbuild_print_summary()

=== examples/fortran/CMakeLists.txt ===
# (C) Copyright 2011- ECMWF.
#
# This software is licensed under the terms of the Apache Licence Version 2.0
# which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
# In applying this licence, ECMWF does not waive the privileges and immunities
# granted to it by virtue of its status as an intergovernmental organisation
# nor does it submit to any jurisdiction.

cmake_minimum_required( VERSION 3.6 FATAL_ERROR )

find_package( ecbuild REQUIRED )
project( compute_circle VERSION 0.10.0 LANGUAGES Fortran )

### options

ecbuild_add_option( FEATURE AREA_COMPUTER
                    DESCRIPTION "Wether we should build the area_computer executable" )

### lib const

ecbuild_add_library(
    TARGET  const
    TYPE    STATIC
    SOURCES constants.f90
    )

### lib area_circle

ecbuild_list_add_pattern( LIST area_srcs GLOB "*.f*" )

ecbuild_list_exclude_pattern( LIST area_srcs REGEX old.*f90 ^const.* .*f95 main.[fF]90 api/* )

ecbuild_generate_fortran_interfaces(

    TARGET      intf_circ

    SOURCE_DIR  ${CMAKE_CURRENT_SOURCE_DIR}

    DIRECTORIES api/area api/volume

    DESTINATION  api
)

ecbuild_add_library(

    TARGET  api_objs

    TYPE    OBJECT

    SOURCES_GLOB  "api/area/*.F90" "api/volume/*.F90"
)

ecbuild_add_library(
    TARGET      area_circle
    SOURCES     ${area_srcs}
    OBJECTS     api_objs
    PUBLIC_LIBS const intf_circ
)

# application conditionally compiled

ecbuild_add_executable(
    TARGET  area_computer
    SOURCES main.F90
    LIBS area_circle
    CONDITION HAVE_AREA_COMPUTER
    )

### finalize project

ecbuild_pkgconfig(
    NAME area_circle
    DESCRIPTION "A library to compute the area of a circle"
    LIBRARIES area_circle
    )

ecbuild_install_project( NAME ${PROJECT_NAME} )

ecbuild_print_summary()

=== examples/mix/CMakeLists.txt ===
# (C) Copyright 2011- ECMWF.
#
# This software is licensed under the terms of the Apache Licence Version 2.0
# which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
# In applying this licence, ECMWF does not waive the privileges and immunities
# granted to it by virtue of its status as an intergovernmental organisation
# nor does it submit to any jurisdiction.

cmake_minimum_required( VERSION 3.6 FATAL_ERROR )

find_package( ecbuild REQUIRED )
project( mix VERSION 0.10.0 LANGUAGES CXX Fortran )

### targets

add_subdirectory( fort )

add_subdirectory( cpp )

### pkgconfig exports

ecbuild_pkgconfig( NAME fortbar DESCRIPTION "A fortran library bar" LIBRARIES fortbar )
ecbuild_pkgconfig( NAME fortbaz DESCRIPTION "A fortran library baz" LIBRARIES fortbaz )

### finalize project

ecbuild_install_project( NAME ${PROJECT_NAME} )

ecbuild_print_summary()

=== examples/override-compile-flags/CMakeLists.txt ===
# (C) Copyright 2011- ECMWF.
#
# This software is licensed under the terms of the Apache Licence Version 2.0
# which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
# In applying this licence, ECMWF does not waive the privileges and immunities
# granted to it by virtue of its status as an intergovernmental organisation
# nor does it submit to any jurisdiction.

cmake_minimum_required( VERSION 3.6 FATAL_ERROR )

find_package( ecbuild REQUIRED )

project( override_compile_flags VERSION 0.1 LANGUAGES C Fortran )

ecbuild_bundle_initialize()

ecbuild_bundle( PROJECT bar )
ecbuild_bundle( PROJECT foo )

ecbuild_bundle_finalize()

=== examples/simple/CMakeLists.txt ===
cmake_minimum_required( VERSION 3.6 FATAL_ERROR )

find_package(ecbuild REQUIRED)

project( simple VERSION 0.10.0 LANGUAGES C CXX Fortran )

### declare options

find_package(LAPACK QUIET)
ecbuild_add_option( FEATURE MATRIX
                    DESCRIPTION "Use matrix operations"
                    CONDITION LAPACK_FOUND )

find_package(GSL QUIET)
ecbuild_add_option( FEATURE BESSEL
                    DESCRIPTION "Compute Bessel function"
                    CONDITION HAVE_MATRIX AND GSL_FOUND )

### targets

add_subdirectory( circle )

add_subdirectory( compute )

### pkgconfig exports

ecbuild_pkgconfig(
    NAME circle
    DESCRIPTION "Functions on circles"
    LIBRARIES circle )

### finalize project

ecbuild_install_project( NAME ${PROJECT_NAME} )

ecbuild_print_summary()

=== debian/changelog ===
ecbuild (3.1.0-2) unstable; urgency=medium

  * Add build changes for GNU/Hurd (originally for odb-api)

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 14 Oct 2019 11:36:50 +0100

ecbuild (3.1.0-1) unstable; urgency=medium

  * New upstream release
  * Fix comment in d/control
  * Drop unnecessary dependency on dh-fortran-mod
  * Add d/gbp.conf

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 10 Oct 2019 13:07:01 +0100

ecbuild (3.0.3-3) unstable; urgency=medium

  * Patch from Chris Lamb for reproduciblity. Closes: #934767

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 23 Sep 2019 15:37:43 +0100

=== debian/control ===
Source: ecbuild
Section: science
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat (= 12), 
  dh-buildinfo, 
  cmake
Standards-Version: 4.4.1.0
Homepage: https://confluence.ecmwf.int/spaces/viewspace.action?key=ecbuild
Vcs-Browser: https://salsa.debian.org:/science-team/ecbuild.git
Vcs-Git: https://salsa.debian.org:/science-team/ecbuild.git

Package: ecbuild
Section: libs
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, cmake
Description: Build system for ECMWF software
 This is a toolkit from ECMWF extend CMAKE with macros used at ECMWF.
 .
 ECMWF is the European Centre for Medium-Range Weather Forecasts.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

%:
	dh $@ --buildsystem=cmake

override_dh_fixperms:
	dh_fixperms
	chmod +x debian/ecbuild/usr/share/ecbuild/cmake/sg.pl
	chmod -x debian/ecbuild/usr/share/ecbuild/toolchains/preprocess_cray_fortran

override_dh_install:
	dh_install
	sed -i -e 's@$(CURDIR)@/usr/share/ecbuild@g' debian/ecbuild/usr/lib/cmake/ecbuild/ecbuild-import.cmake

## ecbuild 3.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -46,6 +46,18 @@
 
 install( DIRECTORY cmake DESTINATION ${INSTALL_DATA_DIR} PATTERN "CMakeLists.txt" EXCLUDE )
 
+if( NOT CMAKE_SOURCE_DIR STREQUAL PROJECT_SOURCE_DIR AND ECBUILD_2_COMPAT )
+    # Required for ecbuild-2 packages when ecbuild is added using `add_subdirectory( ecbuild ) [See ECBUILD-460].
+
+    # When adding ecbuild to your project using `add_subdirectory( ecbuild )`, and subsequently add a ecbuild-2 project
+    # which by definition is not using `find_package( ecbuild )`, then the ecbuild-macros dir must be added to
+    # the CMAKE_MODULE_PATH.
+    # The `find_package( ecbuild ... )` works for the ecbuild-3-ported packages, as `ecbuild_DIR` gets defined in
+    # `ecbuild_declare_project(ecbuild...)` of ecbuild during `add_subdirectory( ecbuild )`
+    
+    set( CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} PARENT_SCOPE )
+endif()
+
 ############################################################################################
 # finalize

=== tests/CMakeLists.txt ===
add_subdirectory( bundle_subdir )
add_subdirectory( bundle_subproj ) # ECBUILD-460
add_subdirectory( ecbuild_regex_escape )
add_subdirectory( find_ecbuild )

=== examples/simple/CMakeLists.txt ===
# CMake 3.6 is a minimal requirement for ecBuild. However, we strongly
# recommend using CMake 3.12 or higher
cmake_minimum_required( VERSION 3.6 FATAL_ERROR )

# If you plan on using cmake directly (rather than the `ecbuild` wrapper
# script), make sure that ecBuild can be found, by doing at least one of these:
# * Add ecBuild's `cmake` directory (`share/ecbuild/cmake` when installed) to `CMAKE_MODULE PATH`
# * (CMake 3.12 or higher) Set `ecbuild_ROOT` to the ecBuild install directory
# * Set `ecbuild_DIR` to ecBuild's `lib/cmake/ecbuild` directory
# * Add ecBuild's `cmake` directory to `CMAKE_PREFIX_PATH`
find_package(ecbuild REQUIRED)

# The `project` macro is overridden by ecBuild, which is why
# `find_package(ecbuild)` has to be done before `project()`
project( simple VERSION 0.10.0 LANGUAGES C CXX Fortran )

# Declaring options
# =================
#
# `ecbuild_add_option` is an enhanced version of CMake's `add_option`.
#
# In this case, the `MATRIX` feature can be requested with the `ENABLE_MATRIX`
# CMake variable. Unless `DEFAULT OFF` is specified, the option is on by
# default (provided its `CONDITION` is empty or satisfied).
#
# From your CMake scripts, you can then query the feature using the
# `HAVE_MATRIX` variable.
#
# Any option declared gets automatically advertised when the package is
# installed, enabling the use of e.g. `find_package(simple COMPONENTS MATRIX)`.
# It can also be queried via the `simple_MATRIX_FOUND` variable if the
# component is optional.
#
# Common idiom for optional packages: look for the package first, and create an
# option depending on it. This behaves as follows:
# * If `LAPACK` is found, the option will be enabled, unless the
#  `ENABLE_MATRIX` variable is set to `OFF`.
# * If `LAPACK` cannot be found, the behaviour depends on the value of
#   `ENABLE_MATRIX`:
#   * If `ON`, ecBuild will abort with a critical error
#   * If `OFF` or not set, the feature will be disabled
find_package(LAPACK QUIET)
ecbuild_add_option( FEATURE MATRIX
                    DESCRIPTION "Use matrix operations"
                    CONDITION LAPACK_FOUND )

# Same idiom as before, the `CONDITION` argument can be any expression
# acceptable in an `if` statement.
find_package(GSL QUIET)
ecbuild_add_option( FEATURE BESSEL
                    DESCRIPTION "Compute Bessel function"
                    CONDITION HAVE_MATRIX AND GSL_FOUND )

# Declaring targets
# =================
#
# ecBuild provides wrappers around CMake's `add_library`, `add_executable`, and
# `add_test`. They take care of the target's creation, as well as making sure
# it gets installed and exported properly. They also provide a concise way of
# adding library dependencies and declaring include directories.
#
# Libraries
# ---------
#
# In `circle/CMakeLists.txt`, the library `circle` is created as a shared
# library (the default), and has only one source file `area.f90`.
#
# ecbuild_add_library(
#     TARGET circle
#     TYPE SHARED
#     SOURCES area.f90
# )
#
# If some header files are present in the list of source files, they can be
# automatically installed by specifying `INSTALL_HEADERS LISTED`. If the
# library has some dependencies, they can be declared with `PUBLIC_LIBS lib1
# [lib2...]` and/or `PRIVATE_LIBS lib1 [lib2...]`, where `PUBLIC` and `PRIVATE`
# have the same meaning as for CMake's `target_link_libraries`. The same
# applies for include directories using the `PUBLIC_INCLUDES` and
# `PRIVATE_INCLUDES` keywords.
#
# Tests
# -----
#
# A test can be defined in the same way. Since the distinction between public
# and private dependencies has less importance for tests and executable, they
# can be provided using the `LIBS` and `INCLUDES` keywords.
#
# ecbuild_add_test(
#     TARGET  test_area
#     SOURCES test_area.c
#     LIBS    circle
# )
#
# Some tests may need to run a script rather than an executable target. This
# can be done as well, replacing the `TARGET` keyword by `COMMAND` (and removing
# `SOURCES` and `LIBS`), pointing to a script file to be run. Additional
# arguments can be provided with the `ARGS` keyword, and environment variables
# using the `ENVIRONMENT` keyword.
#
# Since tests may depend on some features being enabled, the `CONDITION`
# keyword can be used, just like in `ecbuild_add_option`.
#
# Executables
# -----------
#
# The same semantics apply for executables. In `compute/CMakeLists.txt`, the
# `compute` executable is made from the source file `compute.cc` with
# additional preprocessor definitions fetched from `${compute_defs}`, and with
# a dependency on the `circle` library.
#
# ecbuild_add_executable(
#
#     TARGET
#         compute
#
#     SOURCES
#         compute.cc
#
#     DEFINITIONS
#         "${compute_defs}"
#
#     LIBS
#         circle
# )

add_subdirectory( circle )

add_subdirectory( compute )

# Generating pkg-config files
# ===========================
#
# A pkg-config file will be created for the `circle` library. It will be
# installed in `lib/pkgconfig/circle.pc`.
ecbuild_pkgconfig(
    NAME circle
    DESCRIPTION "Functions on circles"
    LIBRARIES circle )

# Epilogue
# ========
#
# This will ensure everything gets installed in a unified way, provide
# appropriate install locations, and generate a `<project>-config.cmake`
# allowing the package to be imported from other CMake projects.
ecbuild_install_project( NAME ${PROJECT_NAME} )

# This will print a summary of the build environment and options to the screen
# when configuration is done.
ecbuild_print_summary()

=== examples/find_package/projects/hdf5/CMakeLists.txt ===
# Specify "HDF5_ROOT" in environment (tested with CMake 3.15)

# Known issues:
# -------------
#
# 1. CMake 3.15 in combination with Cray did not work for Fortran
#       due to captilization in "HDF5.mod" file
#       Workaround:
#         - either create a symlink from "hdf5.mod" to "HDF5.mod" in the
#           local hdf5 installation,
#         - or append "HDF5.mod" to HDF5_INCLUDE_FILENAME in CMake's
#           FindHDF5.cmake file where Fortran is being searched
#
# 2. CMake 3.15 is missing "libhdf5.so" in ${HDF5_C_HL_LIBRARIES}
#       Workaround:
#          - either use both ${HDF5_C_LIBRARIES} and ${HDF5_C_HL_LIBRARIES}
#            in your CMake project
#          - or append "hdf5" to "HDF5_C_HL_LIBRARY_NAMES" in CMake's
#            FindHDF5.cmake file.
#
# Upstream CMake pull request has been submitted here addressing both issues
#    https://gitlab.kitware.com/cmake/cmake/merge_requests/3918
# with fixes hopefully available in 3.16

cmake_minimum_required(VERSION 3.6 FATAL_ERROR)
find_package( ecbuild 3.0.0 REQUIRED )
project( find_hdf5 VERSION 0.0.0 LANGUAGES C Fortran )

find_package( HDF5 REQUIRED COMPONENTS C HL Fortran )

ecbuild_info( "HDF5_FOUND                : ${HDF5_FOUND}" )
ecbuild_info( "HDF5_VERSION              : ${HDF5_VERSION}" )
ecbuild_info( "HDF5_LIBRARIES            : ${HDF5_LIBRARIES}" )
ecbuild_info( "HDF5_INCLUDE_DIRS         : ${HDF5_INCLUDE_DIRS}" )
ecbuild_info( "HDF5_DEFINITIONS          : ${HDF5_DEFINITIONS}" )

ecbuild_info( "HDF5_HL_FOUND             : ${HDF5_HL_FOUND}" )
ecbuild_info( "HDF5_HL_LIBRARIES         : ${HDF5_HL_LIBRARIES}" )
ecbuild_info( "HDF5_C_HL_LIBRARIES       : ${HDF5_C_HL_LIBRARIES}" )
ecbuild_info( "HDF5_Fortran_HL_LIBRARIES : ${HDF5_Fortran_HL_LIBRARIES}" )

ecbuild_info( "HDF5_C_FOUND              : ${HDF5_C_FOUND}" )
ecbuild_info( "HDF5_C_LIBRARIES          : ${HDF5_C_LIBRARIES}" )
ecbuild_info( "HDF5_C_INCLUDE_DIRS       : ${HDF5_C_INCLUDE_DIRS}" )
ecbuild_info( "HDF5_C_DEFINITIONS        : ${HDF5_C_DEFINITIONS}" )

ecbuild_info( "HDF5_Fortran_FOUND        : ${HDF5_Fortran_FOUND}" )
ecbuild_info( "HDF5_Fortran_LIBRARIES    : ${HDF5_Fortran_LIBRARIES}" )
ecbuild_info( "HDF5_Fortran_INCLUDE_DIRS : ${HDF5_Fortran_INCLUDE_DIRS}" )
ecbuild_info( "HDF5_Fortran_DEFINITIONS  : ${HDF5_Fortran_DEFINITIONS}" )

ecbuild_info( "HDF5_IS_PARALLEL          : ${HDF5_IS_PARALLEL}" )


ecbuild_add_test( TARGET   test_hdf5_c
                  SOURCES  hdf5_examples/h5_subset.c
                  LIBS     ${HDF5_C_LIBRARIES}
                  INCLUDES ${HDF5_C_INCLUDE_DIRS} )

ecbuild_add_test( TARGET    test_hdf5_f90
                  SOURCES   hdf5_examples/h5_subset.f90
                  LIBS      ${HDF5_Fortran_LIBRARIES}
                  INCLUDES  ${HDF5_Fortran_INCLUDE_DIRS}
                  CONDITION HDF5_Fortran_FOUND )

ecbuild_add_test( TARGET   test_hdf5_hl_c
                  SOURCES  hdf5_examples/hl_ex_lite1.c
                  LIBS     ${HDF5_C_HL_LIBRARIES}
                  INCLUDES ${HDF5_C_INCLUDE_DIRS} )

ecbuild_add_test( TARGET   test_hdf5_hl_f90
                  SOURCES  hdf5_examples/hl_exlite.f90
                  LIBS     ${HDF5_Fortran_HL_LIBRARIES}
                  INCLUDES ${HDF5_Fortran_INCLUDE_DIRS}
                  CONDITION HDF5_Fortran_FOUND )

=== debian/changelog ===
ecbuild (3.3.2-1) unstable; urgency=medium

  * New upstream release
  * Depend on dh-buildinfo, clang-tidy, chrpath
  * Add FindProj4.cmake, FindLatex.cmake patches

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 23 Apr 2020 09:09:13 +0100

ecbuild (3.3.0-2) unstable; urgency=medium

  * Ship ecbuild.pm for debhelper buildsystem

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 21 Apr 2020 16:34:00 +0100

ecbuild (3.3.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.5.0

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 14 Mar 2020 11:48:45 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper-compat (= 12), 
   dh-buildinfo, 
   cmake
-Standards-Version: 4.4.1.0
+Standards-Version: 4.5.0
 Homepage: https://confluence.ecmwf.int/spaces/viewspace.action?key=ecbuild
 Vcs-Browser: https://salsa.debian.org:/science-team/ecbuild.git
 Vcs-Git: https://salsa.debian.org:/science-team/ecbuild.git
@@ -14,7 +14,11 @@
 Section: libs
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, cmake
+Depends: ${misc:Depends},
+ cmake,
+ clang-tidy,
+ chrpath,
+ dh-buildinfo
 Description: Build system for ECMWF software
  This is a toolkit from ECMWF extend CMAKE with macros used at ECMWF.
  .

## ecbuild 3.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,13 +11,13 @@
 #
 #       -DCMAKE_INSTALL_PREFIX=/path/to/install
 
-cmake_minimum_required( VERSION 3.6.0 FATAL_ERROR )
+cmake_minimum_required( VERSION 3.11.0 FATAL_ERROR )
 
 set( CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH} )
 
 
 include( ecbuild )
-project( ecbuild LANGUAGES NONE )
+project( ecbuild LANGUAGES C )
 
 ###############################################################################
 # local project

=== regressions/CMakeLists.txt ===
--- 
+++ 
@@ -4,3 +4,4 @@
 add_subdirectory( ECBUILD_407 )
 add_subdirectory( ECBUILD_415 )
 add_subdirectory( ECBUILD_433 )
+add_subdirectory( ECBUILD_495 )

=== share/CMakeLists.txt ===
# (C) Copyright 2011- ECMWF.
#
# This software is licensed under the terms of the Apache Licence Version 2.0
# which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
# In applying this licence, ECMWF does not waive the privileges and immunities
# granted to it by virtue of its status as an intergovernmental organisation
# nor does it submit to any jurisdiction.

# ecbuild_add_resources( TARGET ecbuild_share
#	SOURCE_PACK ecmwf_license_header.txt
#	DONT_PACK_DIRS ecbuild )

install( DIRECTORY ecbuild/toolchains USE_SOURCE_PERMISSIONS DESTINATION ${INSTALL_DATA_DIR} )
install( DIRECTORY ecbuild/check_linker DESTINATION ${INSTALL_DATA_DIR} )

=== tests/CMakeLists.txt ===
add_subdirectory( bundle_subdir )
add_subdirectory( bundle_subproj ) # ECBUILD-460
add_subdirectory( bundle_override_features ) # ECBUILD-486
add_subdirectory( ecbuild_regex_escape )
add_subdirectory( ecbuild_remove_fortran_flags ) # ECBUILD-484
add_subdirectory( ecbuild_find_package )
add_subdirectory( ecbuild_add_option )
add_subdirectory( find_ecbuild )

=== tests/bundle_subdir/CMakeLists.txt ===

set( _funcs std ecbfind )
foreach( _func ${_funcs} )
  set( _ref ${CMAKE_CURRENT_BINARY_DIR}/${_func} )
  set( _FUNC ${_func} )

  configure_file( run-test.sh.in ${_ref}/run-test.sh @ONLY )

  file( COPY mybundle/CMakeLists.txt DESTINATION ${_ref}/mybundle/ )
  configure_file( mybundle/myexe/CMakeLists.txt.in ${_ref}/mybundle/myexe/CMakeLists.txt @ONLY )

  set( _confs SYSTEM BUNDLE )
  set( _dir_SYSTEM ${_ref} )
  set( _dir_BUNDLE ${_ref}/mybundle )
  foreach( _conf ${_confs} )
    set( _dir ${_dir_${_conf}} )
    set( _CONFNAME ${_conf} )

    file( GLOB_RECURSE _infiles
          RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}/mylib.in
          "${CMAKE_CURRENT_SOURCE_DIR}/mylib.in/*" )
    foreach( _infile ${_infiles} )
      configure_file( mylib.in/${_infile} ${_dir}/mylib/${_infile} @ONLY )
    endforeach()
  endforeach()

  ecbuild_add_test(
    TARGET     bundle-subdir-${_func}
    TYPE       SCRIPT
    COMMAND    ${_ref}/run-test.sh
  )
endforeach()

=== examples/cpp-bundle-nested/bar/CMakeLists.txt ===
# (C) Copyright 2011- ECMWF.
#
# This software is licensed under the terms of the Apache Licence Version 2.0
# which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
# In applying this licence, ECMWF does not waive the privileges and immunities
# granted to it by virtue of its status as an intergovernmental organisation
# nor does it submit to any jurisdiction.

cmake_minimum_required( VERSION 3.11 FATAL_ERROR )

find_package( ecbuild REQUIRED )
project( bar VERSION 1.0.0 LANGUAGES C CXX )

### targets

ecbuild_bundle( PROJECT foo )

ecbuild_add_library( TARGET            bar
                     PUBLIC_LIBS       foo
                     SOURCES           bar.h bar.c
                     PUBLIC_INCLUDES
                        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}> )

ecbuild_add_executable(
    TARGET     master_bar
    SOURCES    main.cc
    LIBS       bar
)

ecbuild_add_test(
    TARGET     test_bar
    SOURCES    test.cc
    LIBS       bar
)

ecbuild_install_project( NAME ${PROJECT_NAME} )

ecbuild_print_summary()

=== examples/cpp-bundle-nested/baz/CMakeLists.txt ===
cmake_minimum_required( VERSION 3.11 FATAL_ERROR )

find_package( ecbuild REQUIRED )
project( baz VERSION 1.0.0 LANGUAGES C CXX )

### targets

ecbuild_find_package( NAME foo REQUIRED )

ecbuild_add_library( TARGET            baz
                     SOURCES           baz.h baz.c
                     PUBLIC_LIBS       foo
                     PUBLIC_INCLUDES
                        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}> )

ecbuild_add_executable(
    TARGET     master_baz
    SOURCES    main.cc
    LIBS       baz
)

ecbuild_add_test(
    TARGET     test_baz
    SOURCES    test.cc
    LIBS       baz
)

ecbuild_install_project( NAME ${PROJECT_NAME} )

ecbuild_print_summary()

=== examples/cpp-bundle/bar/CMakeLists.txt ===
# (C) Copyright 2011- ECMWF.
#
# This software is licensed under the terms of the Apache Licence Version 2.0
# which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
# In applying this licence, ECMWF does not waive the privileges and immunities
# granted to it by virtue of its status as an intergovernmental organisation
# nor does it submit to any jurisdiction.

cmake_minimum_required( VERSION 3.11 FATAL_ERROR )

find_package(ecbuild REQUIRED)
project( bar VERSION 1.0.0 LANGUAGES C CXX )

### targets

ecbuild_find_package( NAME foo REQUIRED )

ecbuild_add_library(
    TARGET       baz
    TYPE         OBJECT
    SOURCES      baz.h baz.c
    PRIVATE_LIBS foo
    PUBLIC_INCLUDES
        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
        $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
)

ecbuild_add_library(
    TARGET       bar
    SOURCES      bar.h bar.c
    OBJECTS      baz
    PRIVATE_LIBS  foo
    PUBLIC_INCLUDES
        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
        $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
)

ecbuild_add_library(
    TARGET       zingo
    TYPE         OBJECT
    SOURCES      zingo.h zingo.c
    PRIVATE_LIBS foo
    PUBLIC_INCLUDES
        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
        $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
)

ecbuild_add_executable(
    TARGET     master_bar
    SOURCES    main.cc
    OBJECTS    zingo
    LIBS       bar foo
)

ecbuild_add_test(
    TARGET     test_bar
    SOURCES    test.cc
    OBJECTS    zingo
    LIBS       bar foo
)

ecbuild_install_project( NAME ${PROJECT_NAME} )

ecbuild_print_summary()

=== examples/find_package/projects/fftw/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.11 FATAL_ERROR)
find_package( ecbuild 3.0.0 REQUIRED )
project( find_fftw VERSION 0.0.0 LANGUAGES CXX )

ecbuild_find_package( NAME FFTW REQUIRED COMPONENTS single )

### Try to link executable with FFTW_LIBRARIES

ecbuild_add_test( TARGET  test_fftw 
                  SOURCES test_fftw.cc
                  LIBS    FFTW::fftw3f )

=== regressions/ECBUILD_407/mybundle/mylib/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.6 FATAL_ERROR)

find_package(ecbuild QUIET)

project( mylib VERSION 0.1.0 LANGUAGES NONE )

include( ecbuild_system NO_POLICY_SCOPE )

ecbuild_requires_macro_version( 2.9.5 )
ecbuild_declare_project()

ecbuild_install_project( NAME ${PROJECT_NAME} )

=== debian/changelog ===
ecbuild (3.4.1-1) unstable; urgency=medium

  * Drop optional dependency on clang-tidy, as it breaks building on many
    secondary archs
  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 14 Nov 2020 10:47:25 +0000

ecbuild (3.4.0-2) unstable; urgency=medium

  * Ensure files are installed in /usr/lib/cmake and match cmake fragments

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 17 Oct 2020 11:20:23 +0100

ecbuild (3.4.0-1) unstable; urgency=medium

  * New upstream release
  * d/rules: path for usr/li§b/cmake is now  multiarch
  * Move to debhelper level 13
  * Move to DEP-14 branches in d/gbp.conf
  * Point Vcs-Git to debian/latest branch

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 17 Oct 2020 09:43:38 +0100

=== debian/control ===
Source: ecbuild
Section: science
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat (= 13), 
  dh-buildinfo, 
  cmake
Standards-Version: 4.5.0
Homepage: https://confluence.ecmwf.int/spaces/viewspace.action?key=ecbuild
Vcs-Browser: https://salsa.debian.org:/science-team/ecbuild.git
Vcs-Git: https://salsa.debian.org:/science-team/ecbuild.git -b debian/latest

Package: ecbuild
Section: libs
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
 cmake,
 chrpath,
 dh-buildinfo
Description: Build system for ECMWF software
 This is a toolkit from ECMWF extend CMAKE with macros used at ECMWF.
 .
 ECMWF is the European Centre for Medium-Range Weather Forecasts.

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,11 @@
 
 %:
 	dh $@ --buildsystem=cmake
+
+override_dh_auto_configure:
+	# Don't use multiarch paths
+	dh_auto_configure -- \
+            -DCMAKE_INSTALL_LIBDIR=/usr/lib
 
 override_dh_fixperms:
 	dh_fixperms

## ecbuild 3.6.1

=== regressions/CMakeLists.txt ===
add_subdirectory( ECBUILD_359 )
add_subdirectory( ECBUILD_401 )
add_subdirectory( ECBUILD_407 )
add_subdirectory( ECBUILD_415 )
add_subdirectory( ECBUILD_433 )
add_subdirectory( ECBUILD_495 )
add_subdirectory( ECBUILD_509 )

if( ${CMAKE_SYSTEM_NAME} MATCHES "Linux" )
    add_subdirectory( ECBUILD_399 )
endif()

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -5,4 +5,5 @@
 add_subdirectory( ecbuild_remove_fortran_flags ) # ECBUILD-484
 add_subdirectory( ecbuild_find_package )
 add_subdirectory( ecbuild_add_option )
+add_subdirectory( ecbuild_add_flags )
 add_subdirectory( find_ecbuild )

=== debian/changelog ===
ecbuild (3.6.1-1) unstable; urgency=medium

  * New upstream release
  * Provide dh_ecbuild, with dh-sequence-ecbuild, to provide ecbuild substvar
    variables (IN DEVELOPMENT)

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 25 Mar 2021 11:59:43 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper-compat (= 13), 
   dh-buildinfo, 
   cmake
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://confluence.ecmwf.int/spaces/viewspace.action?key=ecbuild
 Vcs-Browser: https://salsa.debian.org:/science-team/ecbuild.git
 Vcs-Git: https://salsa.debian.org:/science-team/ecbuild.git -b debian/latest
@@ -18,6 +18,8 @@
  cmake,
  chrpath,
  dh-buildinfo
+Enhances: debhelper
+Provides: dh-sequence-ecbuild
 Description: Build system for ECMWF software
  This is a toolkit from ECMWF extend CMAKE with macros used at ECMWF.
  .

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --buildsystem=cmake

#override_dh_auto_clean:
#	$(RM) -f debian/dh_ecbuild

override_dh_auto_configure:
	# Don't use multiarch paths
	dh_auto_configure --  -DCMAKE_INSTALL_LIBDIR=/usr/lib

debian/dh_ecbuild: debian/dh_ecbuild.in
	sed 's/@VERSION@/$(DEB_VERSION)/' $< > $@
	chmod 0755 $@

override_dh_fixperms:
	dh_fixperms
	chmod +x debian/ecbuild/usr/share/ecbuild/cmake/sg.pl
	# chmod -x debian/ecbuild/usr/share/ecbuild/toolchains/preprocess_cray_fortran

override_dh_install:
	dh_install
	sed -i -e 's@$(CURDIR)@/usr/share/ecbuild@g' debian/ecbuild/usr/lib/cmake/ecbuild/ecbuild-import.cmake

## ecbuild 3.6.5

=== regressions/CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,7 @@
 add_subdirectory( ECBUILD_433 )
 add_subdirectory( ECBUILD_495 )
 add_subdirectory( ECBUILD_509 )
+add_subdirectory( ECBUILD_511 )
 
 if( ${CMAKE_SYSTEM_NAME} MATCHES "Linux" )
     add_subdirectory( ECBUILD_399 )

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -7,3 +7,4 @@
 add_subdirectory( ecbuild_add_option )
 add_subdirectory( ecbuild_add_flags )
 add_subdirectory( find_ecbuild )
+add_subdirectory( project_import )

=== tests/bundle_subdir/mybundle/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.6 FATAL_ERROR)

find_package(ecbuild QUIET)

include( ecbuild_bundle )

project( mybundle VERSION 0.1.0.0 LANGUAGES NONE )

ecbuild_bundle_initialize()

ecbuild_requires_macro_version( 2.9.5 )

add_subdirectory( mylib )
add_subdirectory( myexe )

ecbuild_install_project( NAME ${PROJECT_NAME} )

=== examples/find_package/projects/netcdf/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.11 FATAL_ERROR)
find_package( ecbuild 3.0.0 REQUIRED )
project( find_netcdf VERSION 0.0.0 LANGUAGES C CXX Fortran )

find_package( NetCDF 4 REQUIRED COMPONENTS C CXX CXX_LEGACY Fortran )

if( NOT NetCDF_FOUND )
    ecbuild_error( "NetCDF_FOUND not set" )
endif()

set( suffix using_targets )

ecbuild_add_test( TARGET  test_netcdf_cxx_${suffix} 
                  SOURCES netcdf_examples/test_netcdf_cxx.cc
                  LIBS    NetCDF::NetCDF_CXX )

ecbuild_add_test( TARGET  test_netcdf_c_${suffix}
                  SOURCES netcdf_examples/test_netcdf_c.c
                  LIBS    NetCDF::NetCDF_C )

ecbuild_add_test( TARGET  test_netcdf_fortran_${suffix}
                  SOURCES netcdf_examples/test_netcdf_fortran.F90
                  LIBS    NetCDF::NetCDF_Fortran )

ecbuild_add_test( TARGET  test_netcdf_f77_${suffix}
                  SOURCES netcdf_examples/test_netcdf_f77.F
                  LIBS    NetCDF::NetCDF_Fortran )

ecbuild_add_test( TARGET  test_netcdf_cxx_legacy_${suffix}
                  SOURCES netcdf_examples/test_netcdf_cxx_legacy.cc
                  LIBS    NetCDF::NetCDF_CXX_LEGACY )

if( ECBUILD_2_COMPAT )

    foreach( NETCDF NetCDF NetCDF4 NETCDF NETCDF4 )

        if( NOT ${NETCDF}_FOUND )
           ecbuild_error( "${NETCDF}_FOUND not set" )
        endif()

        if( NOT ${NETCDF}_INCLUDE_DIRS )
           ecbuild_error( "${NETCDF}_INCLUDE_DIRS not set" )
        endif()

        if( NOT ${NETCDF}_LIBRARIES )
           ecbuild_error( "${NETCDF}_LIBRARIES not set" )
        endif()

        foreach( component C CXX CXX_LEGACY Fortran FORTRAN )
            if( NOT ${NETCDF}_${component}_FOUND )
               ecbuild_error( "${NETCDF}_${component}_FOUND not set" )
            endif()

            if( NOT ${NETCDF}_${component}_INCLUDE_DIRS )
               ecbuild_error( "${NETCDF}_${component}_INCLUDE_DIRS not set" )
            endif()

            if( NOT ${NETCDF}_${component}_LIBRARIES )
               ecbuild_error( "${NETCDF}_${component}_LIBRARIES not set" )
            endif()
        endforeach()

        set( suffix using_vars_${NETCDF} )

        ecbuild_add_test( TARGET   test_netcdf_cxx_${suffix}
                          SOURCES  netcdf_examples/test_netcdf_cxx.cc
                          LIBS     ${${NETCDF}_CXX_LIBRARIES}
                          INCLUDES ${${NETCDF}_INCLUDE_DIRS} )

        ecbuild_add_test( TARGET   test_netcdf_c_${suffix}
                          SOURCES  netcdf_examples/test_netcdf_c.c
                          LIBS     ${${NETCDF}_C_LIBRARIES}
                          INCLUDES ${${NETCDF}_INCLUDE_DIRS} )

        ecbuild_add_test( TARGET   test_netcdf_fortran_${suffix}_Fortran
                          SOURCES  netcdf_examples/test_netcdf_fortran.F90
                          LIBS     ${${NETCDF}_Fortran_LIBRARIES}
                          INCLUDES ${${NETCDF}_INCLUDE_DIRS} )

        ecbuild_add_test( TARGET   test_netcdf_fortran_${suffix}_FORTRAN
                          SOURCES  netcdf_examples/test_netcdf_fortran.F90
                          LIBS     ${${NETCDF}_FORTRAN_LIBRARIES}
                          INCLUDES ${${NETCDF}_INCLUDE_DIRS} )

        ecbuild_add_test( TARGET   test_netcdf_f77_${suffix}_Fortran
                          SOURCES  netcdf_examples/test_netcdf_f77.F
                          LIBS     ${${NETCDF}_Fortran_LIBRARIES}
                          INCLUDES ${${NETCDF}_INCLUDE_DIRS} )

        ecbuild_add_test( TARGET   test_netcdf_f77_${suffix}_FORTRAN
                          SOURCES  netcdf_examples/test_netcdf_f77.F
                          LIBS     ${${NETCDF}_FORTRAN_LIBRARIES}
                          INCLUDES ${${NETCDF}_INCLUDE_DIRS} )

        ecbuild_add_test( TARGET   test_netcdf_cxx_legacy_${suffix}
                          SOURCES  netcdf_examples/test_netcdf_cxx_legacy.cc
                          LIBS     ${${NETCDF}_CXX_LEGACY_LIBRARIES}
                          INCLUDES ${${NETCDF}_INCLUDE_DIRS} )

    endforeach()

endif()

=== debian/changelog ===
ecbuild (3.6.5-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 06 Dec 2021 15:25:35 +0000

ecbuild (3.6.4-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 19 Nov 2021 16:47:34 +0000

ecbuild (3.6.3-1) unstable; urgency=medium

  * Add watch file
  * New upstream release
  * Standards-Version: 4.6.0
  * ecbuild-import.cmake now ecbuild-post-import.cmake

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 27 Oct 2021 12:30:32 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper-compat (= 13), 
   dh-buildinfo, 
   cmake
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://confluence.ecmwf.int/spaces/viewspace.action?key=ecbuild
 Vcs-Browser: https://salsa.debian.org:/science-team/ecbuild.git
 Vcs-Git: https://salsa.debian.org:/science-team/ecbuild.git -b debian/latest

## ecbuild 3.7.0

=== debian/changelog ===
ecbuild (3.7.0-1) unstable; urgency=medium

  * New upstream release. Closes: #1017297
  * Standards-Version: 4.6.1

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 22 Aug 2022 11:28:11 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper-compat (= 13), 
   dh-buildinfo, 
   cmake
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://confluence.ecmwf.int/spaces/viewspace.action?key=ecbuild
 Vcs-Browser: https://salsa.debian.org:/science-team/ecbuild.git
 Vcs-Git: https://salsa.debian.org:/science-team/ecbuild.git -b debian/latest
